Retivo

Escalations

Handle cases routed to human review

List escalations

GET
/api/escalations

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Query Parameters

limit?string

Response Body

application/json

curl -X GET "https://retivo.ai/api/escalations"
{
  "escalations": [
    {
      "id": "string",
      "user_id": "string",
      "status": "string",
      "reasoning": "string",
      "suggested_action": "string",
      "handled_by": "string",
      "outcome": "string",
      "created_at": "string"
    }
  ]
}

Create manual escalation

POST
/api/escalations

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://retivo.ai/api/escalations" \  -H "Content-Type: application/json" \  -d '{    "user_id": "string",    "playbook_id": "e39cab14-aab5-4314-9b89-b1a7cd7ab356",    "severity": "Critical",    "reason": "string"  }'
{
  "id": "string",
  "status": "string"
}

Handle escalation

PUT
/api/escalations/{id}/handle

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://retivo.ai/api/escalations/esc_abc123/handle" \  -H "Content-Type: application/json" \  -d '{    "action_taken": "string"  }'
{
  "id": "string",
  "status": "string"
}
{
  "error": "string"
}

Delegate escalation

PUT
/api/escalations/{id}/delegate

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://retivo.ai/api/escalations/esc_abc123/delegate" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "status": "string"
}
{
  "error": "string"
}